import * as React from "react";
import { ICivilContext } from "../../context/CivilContext";
import { BigNumber } from "@joincivil/typescript-types";
export interface UniswapSellProps {
    ethExchangeRate: number;
    cvlToSell: number;
    onSellComplete(): void;
}
export interface UniswapSellState {
    approvedTokens?: any;
    weiToReceive?: BigNumber;
}
export declare class UniswapSell extends React.Component<UniswapSellProps, UniswapSellState> {
    static contextType: any;
    context: ICivilContext;
    constructor(props: UniswapSellProps);
    componentDidUpdate(prevProps: UniswapSellProps): Promise<void>;
    componentDidMount(): Promise<void>;
    render(): JSX.Element;
    private sellCVL;
    private approve;
    private updateApprovedSellAmount;
}
